$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = "https://github.com/RPCS3/rpcs3-binaries-win/releases/download/build-9db97278f351ab62fc5904215b43fab1f4943fdf/rpcs3-v0.0.12-10895-9db97278_win64.7z"

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  url           = $url
  checksum      = '1f26664f17082cbae9d233ba24e67be9b175e2fd22d1804e6f57cf29f9b60cfd'
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
